<div class="p-grid">

    <div class="p-col-12" *ngIf="!loadingTopic">
        <p-card>
            <div class="p-grid p-nogutter p-align-center">
                <div class="p-col-fixed text-center" [style]="{ width: '5rem', height: '5rem' }">
                    <img src="assets/icons/topic_001.png"
                         [style]="{ width: '2.8rem', height: '2.8rem', margin: '1.2rem 0.5rem' }">
                </div>
                <div class="p-col-6 p-align-center">
                    <div class="topic-name">
                        {{ topic?.name }}
                        <em *ngIf="canEditTopic()" class="pi pi-pencil"
                            style="font-size: 1.2rem; color: darkgoldenrod; cursor: pointer;"
                            tooltipPosition="right" [pTooltip]="lang.getEditTopic()"
                            (click)="editTopic()"></em>
                    </div>
                    <div class="topic-author">
                        {{lang.getBy()}} {{ topic?.user?.name }},
                        {{ topic.createDate | date: lang.getDateFormat() }}
                    </div>
                </div>
                <div class="p-col p-align-center text-right" [style]="{ padding: '0 1rem' }">
                    <p-rating [(ngModel)]="topic.rating" [stars]="5"
                              [cancel]="false" [readonly]="true"
                              [iconOnStyle]="{'font-size': '1.8rem', color: 'darkgoldenrod'}"
                              [iconOffStyle]="{'font-size': '1.8rem', color: 'darkgoldenrod'}">
                    </p-rating>
                </div>
            </div>
        </p-card>
    </div>

    <div class="p-col-12">
        <p-card>

            <div class="p-grid" *ngIf="loadingTopic">
                <div class="p-col-12 text-center" [style]="{padding: '6rem 0'}">
                    <p-progressSpinner [style]="{width: '4rem', height: '4rem'}"></p-progressSpinner>
                    <div>
                        {{ lang.getLoading() }} {{ lang.getTopics().toLowerCase() }}...
                    </div>
                </div>
            </div>

            <div class="p-grid" *ngIf="!loadingTopic">

                <div class="p-col-12">
                    <div class="p-grid">
                        <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                            <div class="topic-title" style="font-weight: 600;">{{ topic?.user?.name }}</div>
                        </div>
                        <div class="p-col">
                            <div class="topic-title">
                                {{lang.getPostAt()}}
                                {{ topic?.createDate | date: this.lang.getDateFormat() }}
                            </div>
                        </div>
                    </div>
                    <div class="p-grid">
                        <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                            <div class="topic-author-level">
                                {{ topic?.user?.level }}
                            </div>
                            <div class="author-status-container">
                                <div class="author-status" [ngClass]="{ 'author-online': topic?.user?.online }"
                                     [pTooltip]="topic.user.online ? 'Online' : 'Offline'"
                                     tooltipPosition="top"></div>
                            </div>
                            <div class="author-profile-image">
                                <img [src]="trustImage(topic?.user?.profilePicture)"
                                     [style]="{ width: '8rem', height: '8rem', margin: '0.5rem' }">
                            </div>
                            <div class="author-info">
                                <p>{{ topic?.user?.group?.description }}</p>
                                <p>{{ topic?.user?.totalPosts || 0 }} {{lang.getPosts()}}</p>
                            </div>
                        </div>
                        <div class="p-col">
                            <div [innerHTML]="trustHtml(topic.body)"></div>
                        </div>
                    </div>
                    <div class="p-grid">
                        <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                        </div>
                        <div class="p-col">
                            <app-small-tags [tags]="util.getTopicTags(topic)"></app-small-tags>
                        </div>
                    </div>
                </div>

                <div class="p-col-12" *ngIf="topic.replies && topic.replies.length > 0">
                    <div *ngFor="let reply of topic.replies">
                        <div class="p-grid">
                            <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                                <div class="topic-title" style="font-weight: 600;">{{ reply?.user?.name }}</div>
                            </div>
                            <div class="p-col">
                                <div class="topic-title">
                                    {{ lang.getRepliedAt() }}
                                    {{ reply?.createDate | date: lang.getDateFormat() }}
                                </div>
                            </div>
                        </div>
                        <div class="p-grid">
                            <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                                <div class="topic-author-level">
                                    {{ reply?.user?.level }}
                                </div>
                                <div class="author-status-container">
                                    <div class="author-status" [ngClass]="{ 'author-online': reply?.user?.online }"
                                         [pTooltip]="reply.user.online ? 'Online' : 'Offline'"
                                         tooltipPosition="top"></div>
                                </div>
                                <div class="author-profile-image">
                                    <img [src]="trustImage(reply?.user?.profilePicture)"
                                         [style]="{ width: '8rem', height: '8rem', margin: '0.5rem' }">
                                </div>
                                <div class="author-info">
                                    <p>{{ reply?.user?.group?.name }}</p>
                                    <p>{{ reply?.user?.totalPosts }} {{lang.getPosts()}}</p>
                                </div>
                            </div>
                            <div class="p-col">
                                <div [innerHTML]="trustHtml(reply.body)"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="p-col-12" *ngIf="user && user.id > 0 && !topic.locked">
                    <div class="p-grid reply-container">
                        <div class="p-col-fixed text-center" [style]="{ width: '14rem' }">
                        </div>
                        <div class="p-col">
                            <div class="p-grid">
                                <div class="p-col-12">
                                    <label class="reply-label">Responder:</label>
                                    <p-editor [(ngModel)]="reply.body" [style]="{'height':'12rem'}">
                                    </p-editor>
                                </div>
                            </div>
                            <div class="p-grid p-justify-end">
                                <div class="p-col-12 p-xl-3">
                                    <button pButton type="button"
                                            class="p-button-raised p-button-secondary"
                                            [label]="lang.getCancel()">
                                    </button>
                                </div>
                                <div class="p-col-12 p-xl-3">
                                    <button pButton type="button" class="p-button-raised"
                                            [label]="lang.getSave()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </p-card>
    </div>

    <div class="p-col-12" *ngIf="!user || !user.id">
        <p-card>
            <div class="p-grid p-justify-center p-align-center">
                <div class="p-col-12 text-center" style="font-size: 0.8rem;">
                    <div [innerHTML]="trustHtml(lang.getLoginMessage())"></div>
                </div>
                <div class="p-col-12 p-md-4 p-xl-2">
                    <button pButton class="p-button-raised" [label]="lang.getLogin()"
                    ></button>
                </div>
            </div>
        </p-card>
    </div>

</div>

